## kgames 2.3

=== meson_options.txt ===
option('user-menu', type: 'boolean', value: true,
       description: 'Install menu file only for current user')
option('menudir', type: 'string',
       description: 'Install directory for menu file')

## kgames 1.0

=== debian/changelog ===
kgames (1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bugs noticed by Andreas Beckmann:
    * Add Breaks+Provides: xmille.
    * Don't build kreversi for now.
    (Closes:  #980557)

 -- Adrian Bunk <bunk@debian.org>  Thu, 04 Feb 2021 12:34:25 +0200

kgames (1.0-2) unstable; urgency=medium

  * Mark kgames as 'Replaces: xmille'

 -- Keith Packard <keithp@keithp.com>  Sun, 27 Dec 2020 12:20:36 -0800

kgames (1.0-1) unstable; urgency=medium

  * Initial release of very old code. Closes: #974011.

 -- Keith Packard <keithp@keithp.com>  Fri, 25 Dec 2020 18:26:08 -0800

=== debian/control ===
Source: kgames
Section: games
Priority: optional
Maintainer: Keith Packard <keithp@keithp.com>
Build-Depends: debhelper-compat (= 13), libxaw7-dev, meson, ninja-build, bison, flex, libncurses-dev
Standards-Version: 4.5.1
Homepage: https://keithp.com
Vcs-Browser: https://salsa.debian.org/debian/kgames
Vcs-Git: https://salsa.debian.org/debian/kgames.git
Rules-Requires-Root: no

Package: kgames
Architecture: any
Breaks: xmille
Replaces: xmille
Provides: xmille
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Venerable selection of Xaw-based games
 These are a selection of various games that use the Xaw toolkit. They
 are all from the 80's and 90's and look the part. As a result, they
 are also very lightweight. There are a bunch of solitaire (patience)
 variants, mille bournes, cribbage and dominos.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm debian/kgames/usr/lib/*/*.so

## kgames 2.2

=== debian/changelog ===
kgames (2.2-1) unstable; urgency=medium

  * New upstream release.
  * Add .desktop files and missing icons.

 -- Keith Packard <keithp@keithp.com>  Sat, 08 Jan 2022 16:15:09 -0800

kgames (2.1-1) unstable; urgency=medium

  * New upstream release.
  * App defaults integrated into binaries. Closes: #989309.
  * xmille is now a virtual package. Closes: #989568.
  * Card dragging and other UI improvements.

 -- Keith Packard <keithp@keithp.com>  Fri, 07 Jan 2022 22:08:33 -0800

kgames (2.0-1) unstable; urgency=medium

  * New upstream release

 -- Keith Packard <keithp@keithp.com>  Thu, 31 Dec 2020 17:21:53 -0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: games
 Priority: optional
 Maintainer: Keith Packard <keithp@keithp.com>
-Build-Depends: debhelper-compat (= 13), libxaw7-dev, meson, ninja-build, bison, flex, libncurses-dev
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), libcairo2-dev, libxft-dev,
+	librsvg2-dev,
+	libxaw7-dev, meson, ninja-build, bison, flex, libncurses-dev
+Standards-Version: 4.6.0.1
 Homepage: https://keithp.com
 Vcs-Browser: https://salsa.debian.org/debian/kgames
 Vcs-Git: https://salsa.debian.org/debian/kgames.git
@@ -11,8 +13,6 @@
 
 Package: kgames
 Architecture: any
-Breaks: xmille
-Replaces: xmille
 Provides: xmille
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Venerable selection of Xaw-based games

## kgames 2.3

=== debian/changelog ===
kgames (2.3-1) unstable; urgency=medium

  * New upstream release.
  * Fixes cross-compilation. Closes: #1010226.

 -- Keith Packard <keithp@keithp.com>  Tue, 26 Apr 2022 20:05:33 -0700

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,15 @@
 # package maintainers to append LDFLAGS
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+# install .menu file in /etc/xdg
+export CONFIGURE_FLAGS = -Duser-menu=false
 
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- $(CONFIGURE_FLAGS)
+
 override_dh_auto_install:
 	dh_auto_install
 	rm debian/kgames/usr/lib/*/*.so

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
git://keithp.com/git/kgames \
refs/tags/([\d\.]+) debian uupdate

## kgames 2.4.1

=== debian/changelog ===
kgames (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * Missed a couple of 64-bit time bugs.

 -- Keith Packard <keithp@keithp.com>  Sat, 28 Dec 2024 09:26:42 -0800

kgames (2.4-1) unstable; urgency=medium

  * New upstream release
  * Fixes 64-bit time on arm. Closes: #1091297.

 -- Keith Packard <keithp@keithp.com>  Fri, 27 Dec 2024 23:14:33 -0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), libcairo2-dev, libxft-dev,
 	librsvg2-dev,
 	libxaw7-dev, meson, ninja-build, bison, flex, libncurses-dev
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Homepage: https://keithp.com
 Vcs-Browser: https://salsa.debian.org/debian/kgames
 Vcs-Git: https://salsa.debian.org/debian/kgames.git

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
https://keithp.com/cgit/kgames.git \
refs/tags/([\d\.]+) debian uupdate
